Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Assembly_Placement::componentinstantiation Class Reference

`#include <Assembly_Spec.h>`

Inheritance diagram for CIAO::Assembly_Placement::componentinstantiation:

[legend]
Collaboration diagram for CIAO::Assembly_Placement::componentinstantiation:

[legend]
List of all members.

## Public Types
typedef enum CIAO::Assembly_Placement::componentinstantiation::_if_register_type | IF_Register_Type
typedef enum CIAO::Assembly_Placement::componentinstantiation::_register_method | Register_Method
typedef CIAO::Assembly_Placement::componentinstantiation::_register_info | Register_Info
typedef ACE_Unbounded_Queue< Register_Info > | REGISTRATION_QUEUE
enum | _if_register_type { COMPONENT, PROVIDESID, CONSUMESID }
enum | _register_method { NAMINGSERVICE, IORFILE }
## Public Member Functions
| componentinstantiation (const char *id)
virtual int | accept (Visitor &v ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Accepting a visitor.
virtual | ~componentinstantiation ()
## Public Attributes
REGISTRATION_QUEUE | register_info_

## Member Typedef Documentation

typedef enum CIAO::Assembly_Placement::componentinstantiation::_if_register_type CIAO::Assembly_Placement::componentinstantiation::IF_Register_Type

typedef struct CIAO::Assembly_Placement::componentinstantiation::_register_info CIAO::Assembly_Placement::componentinstantiation::Register_Info

typedef enum CIAO::Assembly_Placement::componentinstantiation::_register_method CIAO::Assembly_Placement::componentinstantiation::Register_Method

typedef ACE_Unbounded_Queue<Register_Info> CIAO::Assembly_Placement::componentinstantiation::REGISTRATION_QUEUE

## Member Enumeration Documentation

enum CIAO::Assembly_Placement::componentinstantiation::_if_register_type

  | Enumeration values:
  COMPONENT |
  PROVIDESID |
  CONSUMESID |

enum CIAO::Assembly_Placement::componentinstantiation::_register_method

  | Enumeration values:
  NAMINGSERVICE |
  IORFILE |

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Placement::componentinstantiation::componentinstantiation | ( | const char * | id | ) |

CIAO::Assembly_Placement::componentinstantiation::~componentinstantiation | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual int CIAO::Assembly_Placement::componentinstantiation::accept | ( | Visitor &v | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Accepting a visitor. Reimplemented from CIAO::Assembly_Placement::Node.

## Member Data Documentation

REGISTRATION_QUEUE CIAO::Assembly_Placement::componentinstantiation::register_info_

The documentation for this class was generated from the following files:

- Assembly_Spec.h
- Assembly_Spec.cpp
- Assembly_Spec.inl